Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class DNAAlphabetContainer.DNAAlphabetContainerParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.data.AlphabetContainer.AbstractAlphabetContainerParameterSet<DNAAlphabetContainer>
                  de.jstacs.data.alphabets.DNAAlphabetContainer.DNAAlphabetContainerParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Singleton, Storable, Cloneable

Enclosing class:
  DNAAlphabetContainer

    public static final class DNAAlphabetContainer.DNAAlphabetContainerParameterSet

extends AlphabetContainer.AbstractAlphabetContainerParameterSet<DNAAlphabetContainer>
implements Singleton

This class implements a singleton for the `ParameterSet` of a `DNAAlphabetContainer`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Nested classes/interfaces inherited from interface de.jstacs.Singleton
`Singleton.SingletonHandler`

Field Summary
`static DNAAlphabetContainer.DNAAlphabetContainerParameterSet` | `SINGLETON` The only instance of this class.

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Method Summary
`DNAAlphabetContainer.DNAAlphabetContainerParameterSet` | `clone()` Creates a full clone (deep copy) of this `ParameterSet`.
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getInstanceName()` Returns the name of an instance of the class that can be constructed using this `ParameterSet`.
`int` | `getPossibleLength()` Returns the length of the `AlphabetContainer` that can be instantiated using this `ParameterSet`.
`boolean` | `isDiscrete()` Indicates if all positions use `DiscreteAlphabet.DiscreteAlphabetParameterSet`, i.e.
`boolean` | `isSimple()` Indicates if all positions use the same `Alphabet`, i.e. if the corresponding `AlphabetContainer` is simple.

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`fromXML, getInstance, getInstanceClass, toXML`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, hasDefaultOrIsSet, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final DNAAlphabetContainer.DNAAlphabetContainerParameterSet SINGLETON

  The only instance of this class.

  See Also:
    `Singleton`

Method Detail

### clone

    public DNAAlphabetContainer.DNAAlphabetContainerParameterSet clone()

  Description copied from class: `ParameterSet`
  Creates a full clone (deep copy) of this `ParameterSet`. As a convenience-method the user can use `fillWithStandardFieldsForClone(ParameterSet)` on a newly created instance of a subclass of `ParameterSet` to obtain a clone/copy of all standard member variables (those already defined in `ParameterSet`) in the passed `ParameterSet`. Using this method, the cloning process becomes merely three-step:
  - Create a new instance of your subclass of `ParameterSet`, most likely with an empty constructor or the one taking just the instance class.
  - Call `this.fillWithStandardFieldsForClone` on this instance.
  - Return the instance.
  This method fulfills the conventions of `Object`'s method `Object.clone()`.

  Overrides:
    `clone` in class `AlphabetContainer.AbstractAlphabetContainerParameterSet<DNAAlphabetContainer>`
  Returns:
    a deep clone/copy of this `ParameterSet`

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet<DNAAlphabetContainer>`
  Returns:
    the comment of the class

### getInstanceName

    public String getInstanceName()

  Description copied from class: `InstanceParameterSet`
  Returns the name of an instance of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceName` in class `InstanceParameterSet<DNAAlphabetContainer>`
  Returns:
    the name of the class

### getPossibleLength

    public int getPossibleLength()

  Description copied from class: `AlphabetContainer.AbstractAlphabetContainerParameterSet`
  Returns the length of the `AlphabetContainer` that can be instantiated using this `ParameterSet`.

  Specified by:
    `getPossibleLength` in class `AlphabetContainer.AbstractAlphabetContainerParameterSet<DNAAlphabetContainer>`
  Returns:
    the length
  See Also:
    `AlphabetContainer.getPossibleLength()`

### isDiscrete

    public boolean isDiscrete()

  Description copied from class: `AlphabetContainer.AbstractAlphabetContainerParameterSet`
  Indicates if all positions use `DiscreteAlphabet.DiscreteAlphabetParameterSet`, i.e. if all `Alphabet`s of the corresponding `AlphabetContainer` are discrete.

  Specified by:
    `isDiscrete` in class `AlphabetContainer.AbstractAlphabetContainerParameterSet<DNAAlphabetContainer>`
  Returns:
    `true` if all positions are discrete, `false` otherwise
  See Also:
    `AlphabetContainer.isDiscrete()`

### isSimple

    public boolean isSimple()

  Description copied from class: `AlphabetContainer.AbstractAlphabetContainerParameterSet`
  Indicates if all positions use the same `Alphabet`, i.e. if the corresponding `AlphabetContainer` is simple.

  Specified by:
    `isSimple` in class `AlphabetContainer.AbstractAlphabetContainerParameterSet<DNAAlphabetContainer>`
  Returns:
    `true` if all positions use the same `Alphabet`, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD